# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapOfTwoColorsMapOfInteger Class Reference

`#include <MeshVS_DataMapOfTwoColorsMapOfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MeshVS_DataMapOfTwoColorsMapOfInteger (const Standard_Integer NbBuckets=1)
Standard_EXPORT MeshVS_DataMapOfTwoColorsMapOfInteger & | Assign (const MeshVS_DataMapOfTwoColorsMapOfInteger &Other)
MeshVS_DataMapOfTwoColorsMapOfInteger & | operator= (const MeshVS_DataMapOfTwoColorsMapOfInteger &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~MeshVS_DataMapOfTwoColorsMapOfInteger ()
Standard_EXPORT Standard_Boolean | Bind (const MeshVS_TwoColors &K, const TColStd_MapOfInteger &I)
Standard_EXPORT Standard_Boolean | IsBound (const MeshVS_TwoColors &K) const
Standard_EXPORT Standard_Boolean | UnBind (const MeshVS_TwoColors &K)
Standard_EXPORT const TColStd_MapOfInteger & | Find (const MeshVS_TwoColors &K) const
const TColStd_MapOfInteger & | operator() (const MeshVS_TwoColors &K) const
Standard_EXPORT TColStd_MapOfInteger & | ChangeFind (const MeshVS_TwoColors &K)
TColStd_MapOfInteger & | operator() (const MeshVS_TwoColors &K)

## Private Member Functions

Standard_EXPORT | MeshVS_DataMapOfTwoColorsMapOfInteger (const MeshVS_DataMapOfTwoColorsMapOfInteger &Other)

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_DataMapOfTwoColorsMapOfInteger::MeshVS_DataMapOfTwoColorsMapOfInteger | ( | const Standard_Integer | NbBuckets = `1` | ) |

MeshVS_DataMapOfTwoColorsMapOfInteger::~MeshVS_DataMapOfTwoColorsMapOfInteger | ( |  | ) | `[inline]`

Standard_EXPORT MeshVS_DataMapOfTwoColorsMapOfInteger::MeshVS_DataMapOfTwoColorsMapOfInteger | ( | const MeshVS_DataMapOfTwoColorsMapOfInteger & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT MeshVS_DataMapOfTwoColorsMapOfInteger& MeshVS_DataMapOfTwoColorsMapOfInteger::Assign | ( | const MeshVS_DataMapOfTwoColorsMapOfInteger & | Other | ) |

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfTwoColorsMapOfInteger::Bind | ( | const MeshVS_TwoColors & | K,
|  | const TColStd_MapOfInteger & | I
| ) |

Standard_EXPORT TColStd_MapOfInteger& MeshVS_DataMapOfTwoColorsMapOfInteger::ChangeFind | ( | const MeshVS_TwoColors & | K | ) |

Standard_EXPORT void MeshVS_DataMapOfTwoColorsMapOfInteger::Clear | ( |  | ) |

Standard_EXPORT const TColStd_MapOfInteger& MeshVS_DataMapOfTwoColorsMapOfInteger::Find | ( | const MeshVS_TwoColors & | K | ) | const

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfTwoColorsMapOfInteger::IsBound | ( | const MeshVS_TwoColors & | K | ) | const

void MeshVS_DataMapOfTwoColorsMapOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MeshVS_DataMapOfTwoColorsMapOfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* MeshVS_DataMapOfTwoColorsMapOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TColStd_MapOfInteger& MeshVS_DataMapOfTwoColorsMapOfInteger::operator() | ( | const MeshVS_TwoColors & | K | ) | `[inline]`

const TColStd_MapOfInteger& MeshVS_DataMapOfTwoColorsMapOfInteger::operator() | ( | const MeshVS_TwoColors & | K | ) | const`[inline]`

MeshVS_DataMapOfTwoColorsMapOfInteger& MeshVS_DataMapOfTwoColorsMapOfInteger::operator= | ( | const MeshVS_DataMapOfTwoColorsMapOfInteger & | Other | ) | `[inline]`

Standard_EXPORT void MeshVS_DataMapOfTwoColorsMapOfInteger::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfTwoColorsMapOfInteger::UnBind | ( | const MeshVS_TwoColors & | K | ) |

The documentation for this class was generated from the following file:

- MeshVS_DataMapOfTwoColorsMapOfInteger.hxx